Creates a new purchase order order line

Request Information

URI Parameters :

None.

Body Parameters :

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "a908f51b-9c39-4cde-804a-97514fa3b9b6",
  "purchase_order_id": "58769e99-521f-4dd3-b631-e7ef698e03b9",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "27d103ca-a095-4723-9e0d-a3dffdb30c76",
    "id2": 2,
    "jobs_id": "77c018b9-c299-4922-ae42-03ec055815e8",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "f029766f-a42a-4af0-9714-732ee8e0a0e5",
    "supplier_company_code": "sample string 6",
    "user_id": "744d88fb-c971-4f7d-897d-744bc3980ad6",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-02-28T10:24:04.7028339+00:00",
    "date_update": "2026-02-28T10:24:04.7028339+00:00",
    "date_delivery": "2026-02-28T10:24:04.7028339+00:00",
    "confirmed_date_delivery": "2026-02-28T10:24:04.7028339+00:00",
    "delivery_db_address_id": "9cab9a84-e187-4e8c-9c29-2d0f8dddc14d",
    "approved_by_user_id": "f5df836f-b2a9-44bf-897a-638cbb96939e",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "517e2dce-86f4-40b2-945b-d505cd9a1e6c",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "fafaf60d-41eb-49ae-b270-39ebcfac6cc4",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "eceedaba-f798-426d-9627-4d5b644032c4",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-02-28T10:24:04.7028339+00:00"
  },
  "article_id": "6102b561-d90b-44e7-8d8c-d88619a2f427",
  "article_code": "sample string 5",
  "article": {
    "id": "436db8d4-ec34-43c8-8065-8c44986afe1a",
    "article_category_id": "5e0737bb-9e28-41ee-a57b-d5c88eb3a339",
    "article_category": {
      "id": "ab28a2f7-5c9d-4950-8df9-26a789c35f2c",
      "parent_id": "eb3e356b-a9b9-4058-8a5a-4d88f9e4673c",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-02-28T10:24:04.7028339+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "54bed0fa-a4e0-4bac-a024-8cb21a6add4a",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "d19cf139-98f3-4d0e-bb87-ced73f9b347e",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "05f7fabd-fa31-4b65-bff9-fdedd72109f9",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "b4b750da-a3ae-4a51-bece-f9116305c376",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "9f898fb9-d4ca-42d0-acc3-869e6141c970",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "53a71800-50f9-4068-a4d7-9d8172273094",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-02-28T10:24:04.7028339+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-02-28T10:24:04.7028339+00:00",
    "date_update": "2026-02-28T10:24:04.7028339+00:00",
    "modified_dateutc": "2026-02-28T10:24:04.7028339+00:00",
    "article_color_id": "2d319be7-27f0-4695-b190-07fdde8de3df",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "50bb890d-35ac-43cd-b74e-a4216bd6b681",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-02-28T10:24:04.7028339+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "c0af22ff-08ef-4147-9593-29da58f4ef6f",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "ad25564d-4060-4af9-81e1-315de14a0694",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-02-28T10:24:04.7028339+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.